﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


using System.Windows;
using System.Windows.Controls;
//using System.Windows.Data;
//using System.Windows.Documents;
//using System.Windows.Input;
using System.Windows.Media;
//using System.Windows.Media.Imaging;
//using System.Windows.Shapes;


namespace LiteHausWPF {
    abstract class TabItemBase : TabItem {

        public TabItemBase() {
            InitTabItem();
        }

        private void InitTabItem() {
            // XAML to set a dynamic resource for the background color would look like this:
            //    <TabItem Background="{DynamicResource OrangeGradientBrush}"/>
            // Here it is in code:
            this.SetResourceReference(TabItem.BackgroundProperty, "OrangeGradientBrush");

            this.SetResourceReference(TabItem.ForegroundProperty, "DynamicTextDarkMaroonBrush");
            this.FontWeight = FontWeights.Bold;
            LoadContent();
        }

        public abstract void LoadContent();
        public abstract void LoadData();

        #region private Fields
        #endregion private Fields
    }
}
