﻿Imports IdeaBlade.EntityModel
Imports IdeaBlade.Core


Public Class DynamicInterceptors

    Public Shared Sub AddDynamicEntityInterceptors()

        ' Add dynamic actions on Entity to affect any property on any Entity sub-type.

        PropertyInterceptorManager.CurrentInstance.AddAction(New PropertyInterceptorAction(Of PropertyInterceptorArgs(Of Entity, Object))(GetType(Entity), Nothing, PropertyInterceptorMode.BeforeSet, Sub(args) Debug.WriteLine("Entity BeforeSet"), 0.0, "A"))

        PropertyInterceptorManager.CurrentInstance.AddAction(New PropertyInterceptorAction(Of PropertyInterceptorArgs(Of Entity, Object))(GetType(Entity), Nothing, PropertyInterceptorMode.AfterSet, Sub(args) Debug.WriteLine("Entity AfterSet"), 0.0, "B"))

    End Sub

End Class