﻿Imports System.Text


Friend Class OrderTabItem
    Inherits TabItemBase

    Public Sub New()
        InitOrderTabItem()
    End Sub

    Private Sub InitOrderTabItem()
        Me.Header = "Orders"
    End Sub

    Public Overrides Sub LoadContent()
        _aOrdersUserControl = New OrdersUserControl()
        Me.Content = _aOrdersUserControl
        _aOrdersUserControl.HorizontalAlignment = HorizontalAlignment.Stretch
        _aOrdersUserControl.VerticalAlignment = VerticalAlignment.Stretch
    End Sub

    Public Overrides Sub LoadData()
        _aOrdersUserControl.LoadData()
    End Sub

#Region "private Fields"
    Private _aOrdersUserControl As OrdersUserControl
#End Region ' private Fields

End Class
