﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace LiteHausWPF {
    class OrderTabItem : TabItemBase {

        public OrderTabItem() {
            InitOrderTabItem();
        }

        private void InitOrderTabItem() {
            this.Header = "Orders";
        }

        public override void LoadContent() {
            _aOrdersUserControl = new OrdersUserControl();
            this.Content = _aOrdersUserControl;
            _aOrdersUserControl.HorizontalAlignment = HorizontalAlignment.Stretch;
            _aOrdersUserControl.VerticalAlignment = VerticalAlignment.Stretch;
        }

        public override void LoadData() {
            _aOrdersUserControl.LoadData();
        }

        #region private Fields
        OrdersUserControl _aOrdersUserControl;
        #endregion private Fields

    }
}
