﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


using System.Windows;
using System.Windows.Controls;
//using System.Windows.Data;
//using System.Windows.Documents;
//using System.Windows.Input;
using System.Windows.Media;
//using System.Windows.Media.Imaging;
//using System.Windows.Shapes;


namespace LiteHausWPF {
    class ProductsTabItem : TabItemBase {

        public ProductsTabItem() {
            InitProductsTabItem();
        }

        private void InitProductsTabItem() {
            this.Header = "Products";
        }

        public override void LoadContent() {
            _aProductsUserControl = new ProductsUserControl();
            this.Content = _aProductsUserControl;
            _aProductsUserControl.HorizontalAlignment = HorizontalAlignment.Stretch;
            _aProductsUserControl.VerticalAlignment = VerticalAlignment.Stretch;
        }

        public override void LoadData() {
            _aProductsUserControl.LoadData();
        }

        #region private Fields
        ProductsUserControl _aProductsUserControl;
        #endregion private Fields

    }
}
