﻿Imports System.Text

Friend Class CustomersTabItem
    Inherits TabItemBase

    Public Sub New()
        InitCustomersTabItem()
    End Sub

    Private Sub InitCustomersTabItem()
        Me.Header = "Customers"
    End Sub

    Public Overrides Sub LoadContent()
        _aCustomersUserControl = New CustomersUserControl()
        Me.Content = _aCustomersUserControl
        _aCustomersUserControl.HorizontalAlignment = HorizontalAlignment.Stretch
        _aCustomersUserControl.VerticalAlignment = VerticalAlignment.Stretch
    End Sub

    Public Overrides Sub LoadData()
        _aCustomersUserControl.LoadData()
    End Sub

#Region "private Fields"
    Private _aCustomersUserControl As CustomersUserControl
#End Region ' private Fields

End Class
