﻿Imports System.Text
Imports Microsoft.Windows.Controls

Imports DomainModel
Imports IdeaBlade.EntityModel
Imports System.Collections.ObjectModel

''' <summary>
''' Interaction logic for CustomersUserControl.xaml
''' </summary>
Partial Public Class CustomersUserControl
    Public Sub New()
        Me.InitializeComponent()
        ConfigureCustomerSelectorListBox()
    End Sub

    Private Sub ConfigureCustomerSelectorListBox()
        _selectCustomerListBox.DisplayMemberPath = Customer.PathFor(Function(e) e.CompanyName)
    End Sub

    Public Sub LoadSupportingData()
    End Sub

    Public Sub LoadData()
        _customers = New ObservableCollection(Of Customer)(_mgr.Customers.OrderBy(Function(c) c.CompanyName))
        _selectCustomerListBox.ItemsSource = _customers
        Me.DataContext = _customers
    End Sub

#Region "Private Fields"
    Private _mgr As New NorthwindIBEntities()
    Private _customers As ObservableCollection(Of Customer)
#End Region ' Private Fields

End Class