﻿Imports System.Text
Imports Microsoft.Windows.Controls

Imports DomainModel
Imports IdeaBlade.EntityModel
Imports System.Collections.ObjectModel

''' <summary>
''' Interaction logic for CustomersUserControl.xaml
''' </summary>
Partial Public Class ProductsUserControl
    Public Sub New()
        Me.InitializeComponent()
        ConfigureProductSelectorListBox()
    End Sub

    Private Sub ConfigureProductSelectorListBox()
        _selectProductListBox.DisplayMemberPath = Product.PathFor(Function(e) e.ProductName)
    End Sub

    Public Sub LoadSupportingData()
    End Sub

    Public Sub LoadData()
        _products = New ObservableCollection(Of Product)(_mgr.Products.OrderBy(Function(c) c.ProductName))
        _selectProductListBox.ItemsSource = _products
        Me.DataContext = _products
    End Sub

#Region "Private Fields"
    Private _mgr As New NorthwindIBEntities()
    Private _products As ObservableCollection(Of Product)
#End Region ' Private Fields
End Class