﻿Imports System.Text


'using System.Windows.Data;
'using System.Windows.Documents;
'using System.Windows.Input;
'using System.Windows.Media.Imaging;
'using System.Windows.Shapes;


Friend MustInherit Class TabItemBase
    Inherits TabItem

    Public Sub New()
        InitTabItem()
    End Sub

    Private Sub InitTabItem()
        ' XAML to set a dynamic resource for the background color would look like this:
        '    <TabItem Background="{DynamicResource OrangeGradientBrush}"/>
        ' Here it is in code:
        Me.SetResourceReference(TabItem.BackgroundProperty, "OrangeGradientBrush")

        Me.SetResourceReference(TabItem.ForegroundProperty, "DynamicTextDarkMaroonBrush")
        Me.FontWeight = FontWeights.Bold
        LoadContent()
    End Sub

    Public MustOverride Sub LoadContent()
    Public MustOverride Sub LoadData()

#Region "private Fields"
#End Region ' private Fields
End Class
